/* Reset CSS básico para evitar estilos predeterminados inconsistentes */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    min-height: 100%;
    width: 100%;
    overflow-x: hidden; /* Evitar desbordamientos horizontales */
}

.pagina {
    margin: 0px;/* Asegura que el contenido posicionado sea relativo al contenedor .pagina */
}

.fondo-inscripcion {
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    display: flex; /* Flexbox para alinear contenido */
    flex-direction: column;
    align-items: center !important;
    justify-content: center; /* Centra el contenido horizontalmente */
    position: relative; /* Para asegurar que los elementos hijos absolutos se posicionen correctamente */
}

.video-fondo {
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: -1;
    width: 100%;
    height: 100%; /* Asegura que el video cubra toda el área de la sección */
    object-fit: cover; /* Asegura que el video cubra sin distorsionarse */
    pointer-events: none !important;
}

.fondo-inscripcion::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.45);
    z-index: 1;
}

.titulo, .titulo-inscripcion {
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7); /* Añadir sombra para legibilidad */
    position: relative;
    z-index: 2;
}

.tarjeta-contenido h2 {
    font-size: 24px;
}

@media(min-width: 320px) and (max-width: 479px){
    .fondo-inscripcion {
        min-height: 800px;
    }

    .fondo-inscripcion h1 {
        font-size: 30px;
        font-weight: 400px;
        margin-bottom: 20px;
    }

    .inscripcion-movil {
        display:none;
    }

    .boton-inscripcion {
        padding: 12px 60px;
        font-size: 14px;
    }

    .eventos-varios {
        display:flex;
        flex-direction: column;
    }

    .eventos-varios > section {
        max-width: 100%;
    }

    .noticias-macael {
        width: 100% !important;
    }

    .noticias-carrera {
        display:flex;
        flex-direction: row !important;
        min-height: 200px;
    }

    .noticias-carrera div {
        flex-direction: column !important;
    }

    .texto-noticia {
        font-size: 14px;
    }

    .noticias-carrera {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .noticias-carrera a {
        display: flex;
        flex-direction: column;
    }

    .noticias-carrera a > img {
        width: 100%;
        margin-bottom: 10px;
    }

    .noticias-carrera a > div {
        width: 100%;
        height: 100%;
    }

    .texto-noticia {
        font-size: 12px;
    }

    .eventos-proximos h2 {
        text-transform: uppercase;
        font-size: 24px;
    }

    .eventos-proximos div {
        display:none;
    }

    .eventos-proximos section {
        width: 100%;
        margin: 40px;
        padding: 40px;
        align-items: center;
        text-align: left; /* Alinea todo el contenido de la sección a la izquierda */
    }
    
    .eventos-proximos section > h2 {
        text-align: left !important; /* Alinea el título a la izquierda */
        margin-bottom: 10px;
        font-size: 16px;
    }


    .atletas {
        overflow:hidden;
        min-height: 400px;
    }

    .div-atletas-text  {
        background-color: none !important;
    }

    .div-atletas-img {
        display:none;
    }

    .eventos-proximos div > img {
        width: 200%;
        height: 100%;
        padding-right: 100px;
    }

    .div-atletas-text {
        width:100%;
        padding-left: 20px;
        margin: 40px 20px 40px 100px;
    }
}

@media(min-width: 480px) and (max-width: 599px){
    .fondo-inscripcion {
        min-height: 800px;
    }

    .fondo-inscripcion h1 {
        font-size: 40px;
        font-weight: 400px;
        margin-bottom: 20px;
    }

    .inscripcion-movil {
        display:none;
    }

    .boton-inscripcion {
        padding: 12px 60px;
        font-size: 14px;
    }

    .eventos-varios {
        display:flex;
        flex-direction: column;
    }

    .eventos-varios > section {
        max-width: 100%;
    }

    .noticias-carrera {
        display: flex;
        flex-direction: column;
    }

    .noticias-carrera a {
        display: flex;
        flex-direction: column;
    }

    .noticias-carrera a > img {
        width: 100%;
        margin-bottom: 10px;
    }

    .noticias-carrera a > div {
        width: 100%;
        height: 100%;
    }

    .texto-noticia {
        font-size: 14px;
    }

    .eventos-proximos div {
        display:none;
    }

    .eventos-proximos section {
        width: 100%;
        margin: 40px;
        padding: 40px;
        align-items: center;
        text-align: left; /* Alinea todo el contenido de la sección a la izquierda */
    }
    
    .eventos-proximos section > h2 {
        text-align: left !important; /* Alinea el título a la izquierda */
        margin-bottom: 10px;
        font-size: 16px;
    }


    .atletas {
        min-height: 400px;
        
    }

    .div-atletas-img {
        display:none;
    }

    .eventos-proximos div > img {
        width: 200%;
        height: 100%;
        padding-right: 100px;
    }

    .div-atletas-text {
        width:100%;
        padding-left: 20px;
        margin: 40px 20px 40px 100px;
    }
}

@media(min-width: 600px) and (max-width: 767px){
    .fondo-inscripcion {
        min-height: 800px;
    }

    .fondo-inscripcion h1 {
        font-size: 40px;
        font-weight: 400px;
        margin-bottom: 20px;
    }

    .inscripcion-movil {
        display:none;
    }

    .boton-inscripcion {
        padding: 12px 60px;
        font-size: 14px;
    }

    .eventos-varios {
        display:flex;
        flex-direction: column;
    }

    .eventos-varios > section {
        max-width: 100%;
    }

    .noticias-carrera {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a {
        display: flex;
        flex-direction: column;
    }

    .noticias-carrera a > img {
        width: 100%;
        margin-bottom: 10px;
    }

    .noticias-carrera a > div {
        width: 100%;
        height: 100%;
    }

    .texto-noticia {
        font-size: 14px;
    }

    .eventos-proximos div {
        display:none;
    }

    .eventos-proximos section {
        width: 100%;
        margin: 40px;
        padding: 40px;
        align-items: center;
        text-align: left; /* Alinea todo el contenido de la sección a la izquierda */
    }
    
    .eventos-proximos section > h2 {
        text-align: left !important; /* Alinea el título a la izquierda */
        margin-bottom: 10px;
        font-size: 16px;
    }


    .atletas {
        min-height: 400px;
        
    }

    .div-atletas-img {
        display:none;
    }

    .eventos-proximos div > img {
        width: 200%;
        height: 100%;
        padding-right: 100px;
    }

    .div-atletas-text {
        width:100%;
        padding-left: 20px;
        margin: 40px 20px 40px 100px;
    }
}

@media(min-width: 768px) and (max-width: 899px){
    .fondo-inscripcion {
        min-height: 800px;
    }

    .fondo-inscripcion h1 {
        font-size: 45px;
        font-weight: 400px;
        margin-bottom: 20px;
    }

    .fondo-inscripcion h1:hover {
        -webkit-text-stroke: 2px #fff;
        color:transparent;
    }

    .inscripcion-movil {
        display:none;
    }

    .boton-inscripcion {
        padding: 12px 60px;
        font-size: 14px;
    }

    .eventos-varios {
        display:flex;
        flex-direction: column;
    }

    .eventos-varios > section {
        max-width: 100%;
    }

    .noticias-carrera {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a > img {
        width: 50%;
    }

    .noticias-carrera a > div {
        width: 50%;
        height: 100%;
    }

    .eventos-proximos div {
        display:none;
    }

    .eventos-proximos section {
        width: 100%;
        margin: 40px;
        padding: 40px;
        align-items: center;
        text-align: left; /* Alinea todo el contenido de la sección a la izquierda */
    }
    
    .eventos-proximos section > h2 {
        text-align: left !important; /* Alinea el título a la izquierda */
        margin-bottom: 10px;
        font-size: 16px;
    }


    .atletas {
        min-height: 400px;
    }

    .div-atletas-img img {
        height: 400px;
        object-fit: cover;
    }

    .eventos-proximos div > img {
        width: 200%;
        height: 100%;
        padding-right: 100px;
    }

    .div-atletas-text {
        width:25%;
        padding-left: 20px;
        margin: 40px 20px 40px 100px;
    }
}

@media(min-width: 900px) and (max-width: 1023px){
    .fondo-inscripcion {
        min-height: 1000px;
    }

    .fondo-inscripcion h1 {
        font-size: 50px;
        font-weight: 400px;
        margin-bottom: 20px;
    }

    .fondo-inscripcion h1:hover {
        -webkit-text-stroke: 2px #fff;
        color:transparent;
    }

    .inscripcion-movil {
        display:none;
    }

    .boton-inscripcion {
        padding: 14px 70px;
        font-size: 15px;
    }

    .eventos-varios {
        display:flex;
        flex-direction: column;
    }

    .eventos-varios > section {
        max-width: 100%;
    }

    .noticias-carrera {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a > img {
        width: 50%;
    }

    .noticias-carrera a > div {
        width: 50%;
        height: 100%;
    }

    .eventos-proximos div {
        display:none;
    }

    .eventos-proximos section {
        width: 100%;
        margin: 40px;
        padding: 40px;
        align-items: center;
        text-align: left; /* Alinea todo el contenido de la sección a la izquierda */
    }
    
    .eventos-proximos section > h2 {
        text-align: left !important; /* Alinea el título a la izquierda */
        margin-bottom: 10px;
        font-size: 16px;
    }


    .atletas {
        min-height: 400px;
    }

    .div-atletas-img img {
        height: 400px;
        object-fit: cover;
    }

    .eventos-proximos div > img {
        width: 200%;
        height: 100%;
        padding-right: 100px;
    }

    .div-atletas-text {
        width:25%;
        padding-left: 20px;
        margin: 40px 20px 40px 100px;
    }
}

@media(min-width:1024px) and (max-width:1299px){
    .ham-menu {
        display:none;
    }
    
    .fondo-inscripcion {
        min-height: 1000px;
    }

    .fondo-inscripcion h1 {
        font-size: 60px;
        font-weight: 400px;
        margin-bottom: 20px;
    }

    .fondo-inscripcion h1:hover {
        -webkit-text-stroke: 2px #fff;
        color:transparent;
    }

    .inscripcion-movil {
        display:none;
    }

    .noticias-macael {
        width: 100%;
    }
    
    .eventos-varios {
        display:flex;
        flex-direction: column;
    }

    .eventos-proximos section ul {
        margin-left: 0px !important;
        padding-left: 0px !important;
    }

    .boton-inscripcion {
        padding: 14px 70px;
        font-size: 15px;
    }

    .noticias-carrera {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a > img {
        width: 50%;
        filter: grayscale(100%);
    }

    .noticias-carrera a > div {
        width: 50%;
        height: 100%;
    }

    .texto-noticia {
        font-size: 14px;
    }

    .eventos-varios {
        display: flex;
        flex-direction: row;
    }

    .eventos-varios > section {
        max-width: 50%;
    }

    .eventos-proximos div {
        width: 67.50%;
    }

    .eventos-proximos div > img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .div-atletas-text {
        width:25%;
        padding-left: 20px;
        padding-right: 20px;
        margin: 40px 0 40px 150px;
    }

    .eventos-proximos section {
        margin: 40px;
        padding:40px;
    }
}

@media(min-width:1300px){

    .ham-menu {
        display:none;
    }

    .fondo-inscripcion {
        min-height: 1000px;
    }

    .fondo-inscripcion h1 {
        font-size: 80px;
        font-weight: bolder;
        margin-bottom: 20px;
    }

    .inscripcion-movil {
        display:none;
    }

    .boton-inscripcion {
        padding: 14px 70px;
        font-size: 15px;
    }

    .noticias-carrera {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a {
        display: flex;
        flex-direction: row;
    }

    .noticias-carrera a > img {
        width: 35% !important;
        filter: grayscale(100%);
    }

    .noticias-carrera a > div {
        width: 70%;
        height:100%;
    }

    .eventos-varios {
        display: flex;
        flex-direction: row;
    }

    .eventos-varios > section {
        max-width: 50%;
    }

    .eventos-proximos section ul {
        margin-left: 0px !important;
        padding-left: 0px !important;
    }

    .eventos-proximos div {
        width: 67.50%;
    }

    .eventos-proximos div > img {
        width: 100%;
        height: 100%;
    }

    .atletas {
        min-height: 500px;
    }

    .div-atletas-text {
        width:35%;
        padding-left: 20px;
        margin: 40px 0 40px 150px;
    }

    .eventos-proximos section {
        margin: 40px;
        padding:40px;
    }

}

.fondo-inscripcion h1 {
    color: whitesmoke;
    margin-bottom: 20px;
    transition: 0.5s;
}


.boton-inscripcion {
    color: white;
    border: 1px solid;
    border-color: rgb(255, 255, 255);
    border-width: 2px;
    border-radius: 50px;
    transition: 0.6s;
}

.boton-inscripcion:hover {
    background-color: rgba(0, 128, 0, 0.7);
    color: white;
    transition: 0.6s;
}

.blanco-borde-verde {
    color: white;
    border: solid 1px;
    border-color: greenyellow;
}

.social-icon {
    margin-right: -20px;
}

.enlace-recorrido {
    color: black !important;
}

.recorrido {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 10px 5vw 20px 5vw; /* Usando vw para un padding más adaptable */
}

.eventos-varios {
    background-color: rgb(28, 28, 28);
}

.eventos-varios > section {
    padding: 20px;
}

.noticias-macael {
    min-height: 750px;
    background-image: url("../images/fondo/fondo-titi.jpeg");
    object-fit: cover !important;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}

.noticias-macael:before {
    content: "";
    background-color: rgba(0, 128, 0, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.noticias-macael div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    border: solid 1px black;
    border-width: 0 0 0 1px;
    padding-left: 50px;
    height: 600px;
    z-index: 2;
    position: relative;
    color: white;
    max-width:70%;
}

.noticias-macael div > * {
    margin-bottom: 7.5px;
}

.noticias-macael div h2 {
    text-transform: uppercase;
    font-weight: lighter;
    font-size: 20px;
    margin-bottom: 10px;
}

.noticias-macael div h3 {
    font-weight: 500px;
    font-size: 24px;
    margin-bottom: 10px;
}


.div-noticias-macael a i {
    color:white;
    visibility: 0;
    opacity: 0;
    transition: 0.5s;
}

.div-noticias-macael a:hover i {
    visibility: 100;
    opacity: 100;
    transition: 0.5s;
}

.div-noticias-macael p {
    color:white;
}


.noticias-otros {
    padding: -10px 0 -10px 0;
}

.noticias-carrera {
    overflow: hidden;
    position: relative;
    box-sizing: border-box;
    height:33.3%;
}

.noticias-carrera:not(:last-child) {
    border: solid 0.35px rgb(97, 97, 97);
    border-width: 0 0 0.35px 0;
    padding: 0 0 15px 0;
}

.noticias-carrera:not(:first-child){
    padding-top: 15px;
}

.noticias-carrera a {
    width: 100%;
    text-decoration: none;
    color: inherit;
    transition: 500ms;
}

.noticias-carrera a > div {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
}

.noticias-carrera a > img {
    height: auto;
    margin-right: 20px;
    object-fit: cover;
    transition: filter 0.3s ease;
    max-height: 100%;
    box-sizing: border-box;
}

.noticias-carrera a:hover i {
    display:block;
    transform: translateX(10px);
    transition: 500ms;
}

.noticias-carrera a:hover img {
    filter: grayscale(0%);
    transition: 500ms;
}

.noticias-carrera div {
    box-sizing: border-box;
}

.noticias-carrera a i {
    color: yellowgreen;
    visibility: 0;
    opacity: 0;
    transition: 0.5s ease;
}

.noticias-carrera a:hover i {
    visibility: 100;
    opacity: 100;
    transition: 0.5s ease;
}

.verde {
    color: greenyellow;
}

.nombre-carrera {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 400px;
}

.noticias-carrera h2 {
    font-weight: bold;
    font-size: 24px !important;
}

.noticias-carrera h2, p {
    color: #a8a095;
    margin: 0 0 10px 0;
}

.noticias-carrera p {
    line-height: 1.5;
}

.eventos-proximos {
    display:flex;
    flex-direction: row;
    overflow: hidden;
    width:100%;
    height: 100%;
    background-color: #2c2f31;
}

.eventos-proximos {
    overflow: hidden;
}

.eventos-proximos div {
    overflow: hidden;
}

.eventos-proximos img {
    transition: scale 700ms;
}

.eventos-proximos img:hover {
    scale: 110%;
}

.eventos-proximos section {
    color:white;
    border:solid;
    border-width:0 0 0 0.35px;
    border-color:rgb(48, 52, 54);
    display:flex;
    flex-direction: column;
}

.eventos-proximos h2 {
    color:greenyellow;
    font-size: 18px;
}

.eventos-proximos ul {
    list-style: none;
}

.eventos-proximos ul li:first-child {
    margin-top: 15px;
    transition: 400ms;
}

.eventos-proximos ul li:not(:first-child) {
    margin-top: 20px;
    transition: 400ms;
}

.eventos-proximos ul li:hover {
    color:orange;
}

.atletas {
    overflow: hidden;
    display: flex;
    flex-direction: row;
    background-color:rgb(119, 198, 0);
}

.div-atletas-img {
    overflow: hidden;
    width: 100%;
}

.div-atletas-img img {
    width:100%;
    height: 100%;
    display: flex;
    justify-content: flex-end;
    transition: 1s;
}

.div-atletas-img img:hover {
    transform: scale(1.1);
    transition: 700ms;
}

.div-atletas-text {
    color:white;
    text-transform: uppercase;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    border: solid rgb(48, 52, 54);;
    border-width: 0 0 0 0.35px;
    background-color: rgb(119, 198, 0);
}

.div-atletas-text h2, h3 {
    margin-bottom: 10px;
}

.div-atletas-text h2 {
    font-size: 16px;
}

.div-atletas-text h3 {
    font-size: 24px;
}


.div-atletas-text i {
    opacity: 0;
    visibility: 0;
    transition: 700ms;
}

.div-atletas-text a:hover i {
    opacity: 100;
    visibility: 100;
    transition: 700ms;
}


